##
#
# YAVLI RESILIENCE - EXAMPLE WEB PAGE USAGE
#
# This is an example usage for our Yavli Resilience plugin.
# It shows how to include our API into your web pages and print out
# our AdServer Javascript code to your site.
# It is recommended that you include our API in your Footer template
# since the best place to output our AdServer code is near the end of each page.
#
##

require_relative "YResilience-API"

# Get the API Singleton instance
yrAPI = YavliResilienceAPI.instance

# Retrieve the AdServer Code from the API
yrAdServerCode = yrAPI.getAdServerCode

# Example website HTML markup
puts "<html>"
puts "	<head>"
puts "		<title>Your Website</title>"
puts "	</head>"
puts "	<body>"
puts "	..."
puts "	Your Website Content"
puts "	..."
puts "	..."
puts "	..."

# Near the end of your page, simply output all the contents of the yrAdServerCode variable
puts "	" + yrAdServerCode[0..50] + " ... "

puts "	</body>"
puts "</html?"